Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.match
Class MatchChoice

    java.lang.Object
      ix.util.match.MatchChoice

    public class MatchChoice

extends java.lang.Object

Field Summary
`protected ContextValue` | `__liveBranches`
`protected java.util.List` | `branches`
`static Symbol` | `S_MATCH_CHOICE`
`static Symbol` | `S_VARIABLE`
`protected java.util.Set` | `variables`

Constructor Summary
`MatchChoice()`
`MatchChoice(Constraint c)`
`MatchChoice(java.util.List initialBranches)`

Method Summary
`protected void` | `computeVariableSet()`
`(package private) java.util.List` | `getBranches()`
`java.util.List` | `getLiveBranches()`
`(package private) java.util.Set` | `getPossibleValues(Variable var)`
`java.util.Set` | `getVariables()`
`(package private) void` | `resetForChecks()`
`(package private) boolean` | `shrinkToFit(MatchChoice c)`
`Constraint` | `toConstraint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_VARIABLE

    public static final Symbol S_VARIABLE

### S_MATCH_CHOICE

    public static final Symbol S_MATCH_CHOICE

### branches

    protected java.util.List branches

### variables

    protected java.util.Set variables

### __liveBranches

    protected ContextValue __liveBranches

Constructor Detail

### MatchChoice

    public MatchChoice()

### MatchChoice

    public MatchChoice(java.util.List initialBranches)

### MatchChoice

    public MatchChoice(Constraint c)

Method Detail

### toConstraint

    public Constraint toConstraint()

### getBranches

    java.util.List getBranches()

### getVariables

    public java.util.Set getVariables()

### getPossibleValues

    java.util.Set getPossibleValues(Variable var)

### getLiveBranches

    public java.util.List getLiveBranches()

### computeVariableSet

    protected void computeVariableSet()

### resetForChecks

    void resetForChecks()

### shrinkToFit

    boolean shrinkToFit(MatchChoice c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD